Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 587653 - Exchange MAPI connector crashes after password entered
Exchange MAPI connector crashes after password entered
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution-mapi (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Matthew Barnes
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-30 09:40 EDT by James Shelby
Modified: 2010-11-15 08:57 EST (History)
4 users (show)

See Also:
Fixed In Version: openchange-0.9-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 08:57:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Shelby 2010-04-30 09:40:10 EDT
Description of problem:
Evolution exchange mapi connection crashes after entering correct password.


Version-Release number of selected component (if applicable):


How reproducible:
Use the Exchange Mapi connector to connect to an Exchange Server with the Exchange MAPI connection

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Application crashes

Expected results:
Connection and access to email.

Additional info:
I tested this under Fedora 12 and it works fine.  I tried those same rpms which are one minor release greater on Fedora and it still crashes.  It seems to be a problem with another rpm or library causing the crashes.
Comment 2 RHEL Product and Program Management 2010-04-30 10:46:53 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 James Shelby 2010-04-30 13:24:23 EDT
The last line on the console says:

Logging into the server... Aborted (Core dumped)

Steps to reproduce
Setup an Exchange MAPI connect. Enter the server name, username, Domain.  Click Authenticate.  After selecting ok it core dumps.
Comment 4 James Shelby 2010-05-14 11:26:42 EDT
This appears to be due to the LDAP integration with RHEL6 Beta.  The nslcd seems to be getting in the way and the methods used with RHEL 5.5 changed in RHEL 6 which no longer allow me to do: id [username] against the ldap server.  I need to find out how to get LDAP working against a microsoft AD server to which this may work.  Fedora 12 and Ubuntu 10.04 work fine but RHEL6 seems to have some odd changes.
Comment 5 James Shelby 2010-05-17 11:17:49 EDT
Fix the ldap issue by removing the nslcd and using FC12 rpms to allow LDAP to function as it does in FC12.  Evolution still crashes after entering password.
Comment 6 Matthew Barnes 2010-05-20 21:52:00 EDT
Can you make sure you're updated to evolution-mapi-0.28.3 and openchange-0.9 and see if you can capture a stack trace from the crash?
Comment 7 James Shelby 2010-05-21 10:48:25 EDT
These are the latest rpms available.

evolution-mapi-0.28.2-1.el6.x86_64
openchange-0.8.2-5.el6.x86_64
Comment 8 James Shelby 2010-05-21 11:10:14 EDT
GNU gdb (GDB) Red Hat Enterprise Linux (7.0.1-23.el6)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/evolution...Reading symbols from /usr/lib/debug/usr/bin/evolution.debug...done.
done.
(gdb) run
Starting program: /usr/bin/evolution 
[Thread debugging using libthread_db enabled]
Detaching after fork from child process 2347.
[New Thread 0x7fffe9881710 (LWP 2351)]
[New Thread 0x7fffe8e80710 (LWP 2352)]
[New Thread 0x7fffdbfff710 (LWP 2353)]
[New Thread 0x7fffdb5fe710 (LWP 2354)]
[New Thread 0x7fffdabfd710 (LWP 2355)]
** (evolution:2343): DEBUG: Loading Exchange MAPI Plugin 

** (evolution:2343): DEBUG: MAPI listener is constructed with 0 listed MAPI accounts 
[New Thread 0x7fffd9fbc710 (LWP 2358)]
[Thread 0x7fffdb5fe710 (LWP 2354) exited]
[Thread 0x7fffdbfff710 (LWP 2353) exited]
[Thread 0x7fffd9fbc710 (LWP 2358) exited]
e-data-server-ui-Message: Key file does not have group 'Passwords-ExchangeMAPI'
warning: Unable to open "librpm.so.0" (librpm.so.0: cannot open shared object file: No such file or directory), missing debuginfos notifications will not be displayed
Missing separate debuginfo for /lib64/libbz2.so.1
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/04/3dc7a57b7992c9e40efaba02e627c543988b10.debug
Create profile with jshelby NREL_NT mailbox2.nrel.gov
libexchangemapi-Message: exchange-mapi-connection.c:3029: exchange_mapi_create_profile: lock(connect_lock)
Logging into the server... Detaching after fork from child process 2397.
Detaching after fork from child process 2398.

Program received signal SIGABRT, Aborted.
0x0000003f7f032735 in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64        return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
Comment 9 James Shelby 2010-05-21 14:02:56 EDT
I found the rpms on another site for testing and now installed.

[root@jshelby-17913s tmp]# rpm -qa | grep evol
evolution-2.28.2-3.el6.x86_64
evolution-mapi-0.28.3-1.fc12.x86_64
openchange-0.9-2.fc13.x86_64

This is a tail of the result however I mixed the el6,fc12 and fc13 rpms.

libexchangemapi-Message: exchange-mapi-connection.c:3074: exchange_mapi_create_profile: lock(connect_lock)
libexchangemapi-Message: exchange-mapi-connection.c:74: ensure_mapi_init_called: lock(connect_lock)
libexchangemapi-Message: exchange-mapi-connection.c:110: ensure_mapi_init_called: unlock(connect_lock)
Logging into the server... Detaching after fork from child process 16436.
Detaching after fork from child process 16437.
/usr/bin/evolution: symbol lookup error: /usr/lib64/libmapi-openchange.so.0: undefined symbol: ndr_push_uint3264
[Thread 0x7fffdbfff710 (LWP 16391) exited]
[Thread 0x7fffe9881710 (LWP 16389) exited]
[Thread 0x7fffe8e80710 (LWP 16390) exited]

Program exited with code 0177.
Comment 10 Matthew Barnes 2010-06-11 22:24:48 EDT
Marking this [NEEDINFO] until openchange-0.9 is available in Beta 2.
Comment 11 RHEL Product and Program Management 2010-07-15 10:32:15 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 12 Suzanne Yeghiayan 2010-07-23 11:52:20 EDT
James, can you retest with openchange-0.9-3.el6 which was provided in Beta 2?
Comment 15 Vladimir Benes 2010-08-31 11:21:00 EDT
I've emailed to reporter directly. Waiting for answer now.
Comment 17 James Shelby 2010-08-31 14:31:07 EDT
Beta 2 7-15-2010 did resolve the problem.  I reinstalled from scratch and was able to connect to our Exchange server successfully.

This bug can be closed.
Comment 18 releng-rhel@redhat.com 2010-11-15 08:57:10 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.